function [ x,t] = importData( filename )
%[x,t] = IMPORTDATA( filename )
%IMPORTDATA načíta špeciálne naformátovaný súbor a získa z neho časové dáta
%a jednotlivé merania v týchto časoch
% Vstup:    filename - názov súboru, ktorý má byť spracovaný, je potrebné,
%           aby bol správne naformátovaný. Požaduje sa maticová forma
%           údajov, kde stĺpce sú oddelené tabulátorom '\t' a riadky 
%           enterom '\n'. Stĺpce reprezentujú jednotlivé merania/dáta,
%           riadky sú výčet hodnôt merania
% Výstupy:  x - načítané dáta vo forme matice, kde riadky odpovedajú
%           jednotlivým meraniam
%           t - riadkový vektor časových údajov

try

    fileID = fopen(filename,'r');
    C = textscan(fileID,'%s',1,'Delimiter','\n','HeaderLines',1); %z druhého riadku obsahujúceho dáta určím počet stĺpcov
    a = [C{1:end}];
    cols = length(str2num(char(a)));

    formatSpec = ''; %vytvorenie čítacieho vzoru
    for i = 1:cols
       formatSpec = strcat(formatSpec,'%f'); 
    end
    formatSpec = strcat(formatSpec,'%[^\n\r]');

    frewind(fileID);
    dataArray = textscan(fileID, formatSpec, 'Delimiter', '\t', 'EmptyValue' ,NaN,'HeaderLines' ,1 , 'ReturnOnError', false); %odstrániť false?
    fclose(fileID);
    x = [dataArray{2:end-1}]';
    t = [dataArray{1}]';
catch
   error('Vyskytol sa problém pri spracovaní súboru, over, či je správne naformátovaný'); 
end
  
end

